#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x87,0xD6,0xCB,0xF6,0x72,0xDF,0x11,0xAB,0xC7,0xE8,0xD3,0xE5,
		0x37,0xBE,0x72,0x67,0xB1,0xF6,0x4F,0xC4,0x71,0x38,0x6C,0x7B,
		0x71,0x70,0x9F,0x1D,0x11,0x37,0x0C,0xBA,0x97,0x7A,0xFD,0x00,
		0xA9,0xF0,0xE5,0x8E,0x3C,0xB8,0x5D,0x55,0x8B,0xA1,0xFB,0x22,
		0xEA,0x1A,0x20,0xFF,0x6C,0x00,0x9E,0x04,0xE0,0x2A,0x0D,0xCE,
		0xC9,0xC9,0xC4,0xA3,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
